мир.структура = {
    изображения: {
        фон: {
            x: 1000,
            y: 300,
            текстура: "изба",
        },
    },
    платформы: {
        полДоКрышки: {
            x: 200,
            y: 385,
            //y: 585,
            текстура: "основа",
            масштаб: [43, 1],
            видимость: true,
        },
    },
    спрайты: {
        молоко: {
            //x: 785,
            x: 200,
            y: 240,
            текстура: "молоко",
            масштаб: [0.4, 0.4],
            //depth: 10,
        },
        самовар: {
            //x: 1003,
            x: 200,
            y: 100,
            текстура: "самовар",
            масштаб: [0.25, 0.25],
            //depth: 5,
        },
    }
};

мир.настройки.scene.create = function()
{
    const изо = мир.структура.изображения;
    if (изо)
    {
        for (имя in изо)
        {
            var описание = изо[имя];
            var узел = this.add.image(описание.x, описание.y, описание.текстура);
        }
    }

    const пл = мир.структура.платформы;
    if (пл)
    {
        for (имя in пл)
        {
            var описание = пл[имя];
            var свойства = {
                isStatic: true,
            };
            var узел = this.matter.add.image(
                описание.x,
                описание.y,
                описание.текстура,
                null,
                свойства
            );
            задатьСвойстваУзла(узел, описание);
        }
    }

    const сп = мир.структура.спрайты;
    if (сп)
    {
        for (имя in сп)
        {
            var описание = сп[имя];
            var узел = this.matter.add.sprite(
                описание.x,
                описание.y,
                описание.текстура
            );
            задатьСвойстваУзла(узел, описание);
        }
    }
};

function задатьСвойстваУзла(узел, свойства)
{
    if (свойства.масштаб)
    {
        узел.setScale(свойства.масштаб[0], свойства.масштаб[1]);
    }
}
